#5021 Koji tag for eclipse
Closed: Fixed None Opened 7 years ago by swagiaal.

There will be a change in the way we package eclipse. Details can be found here: https://fedoraproject.org/w/index.php?title=User:Swagiaal/NewEclipsePackagingGuidelines&diff=265508&oldid=264223#Running_the_Reconciler

The packing guidelines update request for this has been approved and we would like to start implementing this. Because this will affect a large number of eclipse plugin rpms, we would like to request a custom Koji tag so that the work can be done, and tested in isolation.

Thank you.


Ping. Any updates here ? We are hoping to get started on this soon to finish it before f17 branches from rawhide.

Please note that the change will have to be implemented in the following packages:

eclipse [[BR]]
eclipse-anyedit [[BR]]
eclipse-avr [[BR]]
eclipse-birt [[BR]]
eclipse-callgraph [[BR]]
eclipse-cdt [[BR]]
eclipse-changelog [[BR]]
eclipse-checkstyle [[BR]]
eclipse-cmakeed [[BR]]
eclipse-collabnet-merge [[BR]]
eclipse-demos [[BR]]
eclipse-dltk [[BR]]
eclipse-dtp [[BR]]
eclipse-eclemma [[BR]]
eclipse-eclox [[BR]]
eclipse-egit [[BR]]
eclipse-emf [[BR]]
eclipse-emf-query [[BR]]
eclipse-emf-transaction [[BR]]
eclipse-emf-validation [[BR]]
eclipse-epic [[BR]]
eclipse-fedorapackager [[BR]]
eclipse-findbugs [[BR]]
eclipse-gcov [[BR]]
eclipse-gef [[BR]]
eclipse-gprof [[BR]]
eclipse-jgit [[BR]]
eclipse-linuxprofilingframework [[BR]]
eclipse-m2m-qvtoml [[BR]]
eclipse-manpage [[BR]]
eclipse-mdt-ocl [[BR]]
eclipse-mdt-uml2 [[BR]]
eclipse-mercurial [[BR]]
eclipse-moreunit [[BR]]
eclipse-mpc [[BR]]
eclipse-mylar [[BR]]
eclipse-mylyn [[BR]]
eclipse-mylyn-builds [[BR]]
eclipse-mylyn-commons [[BR]]
eclipse-mylyn-context [[BR]]
eclipse-mylyn-docs [[BR]]
eclipse-mylyn-ide [[BR]]
eclipse-mylyn-tasks [[BR]]
eclipse-mylyn-versions [[BR]]
eclipse-nls [[BR]]
eclipse-nlspackager [[BR]]
eclipse-oprofile [[BR]]
eclipse-p2-discovery [[BR]]
eclipse-packagekit [[BR]]
eclipse-photran [[BR]]
eclipse-phpeclipse [[BR]]
eclipse-ptp [[BR]]
eclipse-pydev [[BR]]
eclipse-quickrex [[BR]]
eclipse-rpm-editor [[BR]]
eclipse-rpmstubby [[BR]]
eclipse-rse [[BR]]
eclipse-sdk-nls [[BR]]
eclipse-setools [[BR]]
eclipse-shelled [[BR]]
eclipse-slice2java [[BR]]
eclipse-slide [[BR]]
eclipse-subclipse [[BR]]
eclipse-systemtapgui [[BR]]
eclipse-testframework [[BR]]
eclipse-texlipse [[BR]]
eclipse-valgrind [[BR]]
eclipse-veditor [[BR]]
eclipse-vrapper [[BR]]
eclipse-wtp-common [[BR]]
eclipse-wtp-servertools [[BR]]
eclipse-wtp-sourceediting [[BR]]
findbugs-contrib [[BR]]
maven-eclipse-plugin [[BR]]
svnkit [[BR]]

f17-eclipse target added.

to build run

fedpkg build --target f17-eclipse

please let us know when you are done so we can merge the packages in and remove the target

f17-eclipse target added.
Great! Thanks.

please let us know when you are done so we can merge the packages in and remove the target
Will do.

As I understand, there is a yum repo automatically which contains all the packages built towards this target. How do I access it? I have not found anything on the wiki.

http://kojipkgs.fedoraproject.org/repos/f17-eclipse/latest/ under there its the buildroot repos. and is not multilibed at all

ping, this needs to land in the next 12 hours to get in without having to do a bodhi update for all the builds.

Replying to [comment:6 ausil]:

ping, this needs to land in the next 12 hours to get in without having to do a bodhi update for all the builds.

We have started too late to be able to finish this in time. We have not used the build tag yet so there is nothing to merge.

Unfortunately we will no longer be moving forward with the reconciler solution because it exposes conflicts with with plugins installed by the user to their home directories. As a result this tag is no longer needed. No packages have been built towards this tag so hopefully it can be dropped with little work. Thank you.

tag was unused and the buildroot has been removed

Metadata Update from @swagiaal:
- Issue assigned to ausil

2 years ago

Login to comment on this ticket.

Metadata